Loading...
Searching...
No Matches
BALL::GeometricFit::Default Struct Reference

`#include <BALL/DOCKING/geometricFit.h>`

## Static Public Attributes

static const float | NEAR_RADIUS
static const float | GRID_SPACING
static const int | GRID_SIZE
static const float | SURFACE_THICKNESS
static const double | DEGREE_INTERVAL
static const int | SURFACE_TYPE
static const int | TOP_N
static const int | BEST_NUM
static const int | VERBOSITY
static const float | PHI_MIN
static const float | PHI_MAX
static const float | DEG_PHI
static const float | THETA_MIN
static const float | THETA_MAX
static const float | DEG_THETA
static const float | PSI_MIN
static const float | PSI_MAX
static const float | DEG_PSI
static const int | PENALTY_STATIC
static const int | PENALTY_MOBILE
static const int | NUMBER_OF_PROCESSES
static const String | SLAVE_PATH

## Detailed Description

Definition at line 113 of file geometricFit.h.

## Member Data Documentation

## BEST_NUM

const int BALL::GeometricFit::Default::BEST_NUM

static

Definition at line 145 of file geometricFit.h.

## DEG_PHI

const float BALL::GeometricFit::Default::DEG_PHI

static

Definition at line 156 of file geometricFit.h.

## DEG_PSI

const float BALL::GeometricFit::Default::DEG_PSI

static

Definition at line 164 of file geometricFit.h.

## DEG_THETA

const float BALL::GeometricFit::Default::DEG_THETA

static

Definition at line 160 of file geometricFit.h.

## DEGREE_INTERVAL

const double BALL::GeometricFit::Default::DEGREE_INTERVAL

static

Definition at line 133 of file geometricFit.h.

## GRID_SIZE

const int BALL::GeometricFit::Default::GRID_SIZE

static

Definition at line 124 of file geometricFit.h.

## GRID_SPACING

const float BALL::GeometricFit::Default::GRID_SPACING

static

Definition at line 121 of file geometricFit.h.

## NEAR_RADIUS

const float BALL::GeometricFit::Default::NEAR_RADIUS

static

Definition at line 117 of file geometricFit.h.

## NUMBER_OF_PROCESSES

const int BALL::GeometricFit::Default::NUMBER_OF_PROCESSES

static

Definition at line 172 of file geometricFit.h.

## PENALTY_MOBILE

const int BALL::GeometricFit::Default::PENALTY_MOBILE

static

Definition at line 169 of file geometricFit.h.

## PENALTY_STATIC

const int BALL::GeometricFit::Default::PENALTY_STATIC

static

Definition at line 168 of file geometricFit.h.

## PHI_MAX

const float BALL::GeometricFit::Default::PHI_MAX

static

Definition at line 155 of file geometricFit.h.

## PHI_MIN

const float BALL::GeometricFit::Default::PHI_MIN

static

Definition at line 154 of file geometricFit.h.

## PSI_MAX

const float BALL::GeometricFit::Default::PSI_MAX

static

Definition at line 163 of file geometricFit.h.

## PSI_MIN

const float BALL::GeometricFit::Default::PSI_MIN

static

Definition at line 162 of file geometricFit.h.

## SLAVE_PATH

const String BALL::GeometricFit::Default::SLAVE_PATH

static

Definition at line 175 of file geometricFit.h.

## SURFACE_THICKNESS

const float BALL::GeometricFit::Default::SURFACE_THICKNESS

static

Definition at line 128 of file geometricFit.h.

## SURFACE_TYPE

const int BALL::GeometricFit::Default::SURFACE_TYPE

static

Default surface type. Default is SurfaceType::CONNOLLY

Definition at line 138 of file geometricFit.h.

## THETA_MAX

const float BALL::GeometricFit::Default::THETA_MAX

static

Definition at line 159 of file geometricFit.h.

## THETA_MIN

const float BALL::GeometricFit::Default::THETA_MIN

static

Definition at line 158 of file geometricFit.h.

## TOP_N

const int BALL::GeometricFit::Default::TOP_N

static

Definition at line 141 of file geometricFit.h.

## VERBOSITY

const int BALL::GeometricFit::Default::VERBOSITY

static

Definition at line 151 of file geometricFit.h.